Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.ehbox.core.v3
Class AcknowledgmentType

    java.lang.Object
      be.fgov.ehealth.ehbox.core.v3.AcknowledgmentType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:00:30+01:00",
               comments="JAXB RI v2.2.11")
    public class AcknowledgmentType

extends Object
implements Serializable

Specifies content of a Acknowledgment notification

Java class for AcknowledgmentType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AcknowledgmentType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MessageId" type="{urn:be:fgov:ehealth:ehbox:core:v3}MessageIdType"/>
             <element name="Recipient" type="{urn:be:fgov:ehealth:ehbox:core:v3}EhboxIdentifierType" minOccurs="0"/>
             <element name="AckType">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="PUBLISHED"/>
                   <enumeration value="RECEIVED"/>
                   <enumeration value="READ"/>
                 </restriction>
               </simpleType>
             </element>
             <element name="DateTime" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`AcknowledgmentType()`

Method Summary
`String` | `getAckType()` Gets the value of the ackType property.
`org.joda.time.DateTime` | `getDateTime()` Gets the value of the dateTime property.
`String` | `getMessageId()` Gets the value of the messageId property.
`EhboxIdentifierType` | `getRecipient()` Gets the value of the recipient property.
`void` | `setAckType(String value)` Sets the value of the ackType property.
`void` | `setDateTime(org.joda.time.DateTime value)` Sets the value of the dateTime property.
`void` | `setMessageId(String value)` Sets the value of the messageId property.
`void` | `setRecipient(EhboxIdentifierType value)` Sets the value of the recipient property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AcknowledgmentType

    public AcknowledgmentType()

Method Detail

### getMessageId

    public String getMessageId()

  Gets the value of the messageId property.

  Returns:
    possible object is `String`

### setMessageId

    public void setMessageId(String value)

  Sets the value of the messageId property.

  Parameters:
    `value` - allowed object is `String`

### getRecipient

    public EhboxIdentifierType getRecipient()

  Gets the value of the recipient property.

  Returns:
    possible object is `EhboxIdentifierType`

### setRecipient

    public void setRecipient(EhboxIdentifierType value)

  Sets the value of the recipient property.

  Parameters:
    `value` - allowed object is `EhboxIdentifierType`

### getAckType

    public String getAckType()

  Gets the value of the ackType property.

  Returns:
    possible object is `String`

### setAckType

    public void setAckType(String value)

  Sets the value of the ackType property.

  Parameters:
    `value` - allowed object is `String`

### getDateTime

    public org.joda.time.DateTime getDateTime()

  Gets the value of the dateTime property.

  Returns:
    possible object is `String`

### setDateTime

    public void setDateTime(org.joda.time.DateTime value)

  Sets the value of the dateTime property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.